Skip to content

API reference

Account status

account_get_status — Health of one X account: session, safety, X cooldown, running / waiting jobs with hold reasons, quota used and left today / last 7 days per action group, run hours, the account clock (local date, time

account_get_status · Reads saved data

Health of one X account: session, safety, X cooldown, running / waiting jobs with hold reasons, quota used and left today / last 7 days per action group, run hours, the account clock (local date, time and UTC offset — use it to turn "8 am tomorrow" into an ISO time for post_schedule), test mode, agent version and which tools its agent supports.

REST GET /api/public/v1/accounts/{account}/status
MCP tool account_get_status
Permission needed view — Owner, Manager, Operator, Viewer
Scope group accounts:read
Group Core: X accounts, jobs, tool search
Shown up front in profiles every profile (core set)

Input

Field Type Required Description
account string (1–100 chars) Yes The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing.

Result

Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.

Example

Call over REST

curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/accounts/%40your_x_account/status" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"

Call over MCP

{
  "method": "tools/call",
  "params": {
    "name": "account_get_status",
    "arguments": {
      "account": "@your_x_account"
    }
  }
}

Errors you may get

Back to all operations